# NormalMapShader

## Import

NormalMapShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { NormalMapShader } from 'three/addons/shaders/NormalMapShader.js';
```

## Properties

### .NormalMapShader : ShaderMaterial~Shader (inner, constant)

Normal map shader, compute normals from heightmap.

## Source

[examples/jsm/shaders/NormalMapShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/NormalMapShader.js)